local load_sound = dink.load_sound

function main()
  --dink.playavi("anim\rtlogo.avi")

  dink.debug("Loading sounds..")
  load_sound("QUACK.WAV", 1)
  load_sound("PIG1.WAV", 2)
  load_sound("PIG2.WAV", 3)
  load_sound("PIG3.WAV", 4)
  load_sound("PIG4.WAV", 5)
  load_sound("BURN.WAV", 6)
  load_sound("OPEN.WAV", 7)
  load_sound("SWING.WAV", 8)
  load_sound("PUNCH.WAV", 9)
  load_sound("SWORD2.WAV", 10)
  load_sound("SELECT.WAV", 11)
  load_sound("WSCREAM.WAV", 12)
  load_sound("PICKER.WAV", 13)
  load_sound("GOLD.WAV", 14)
  load_sound("GRUNT1.WAV", 15)
  load_sound("GRUNT2.WAV", 16)
  load_sound("SEL1.WAV", 17)
  load_sound("ESCAPE.WAV", 18)
  load_sound("NONO.WAV", 19)
  load_sound("SEL2.WAV", 20)
  load_sound("SEL3.WAV", 21)
  load_sound("HIGH2.WAV", 22)
  load_sound("FIRE.WAV", 23)
  load_sound("SPELL1.WAV", 24)
  load_sound("CAVEENT.WAV", 25)
  load_sound("SNARL1.WAV", 26)
  load_sound("SNARL2.WAV", 27)
  load_sound("SNARL3.WAV", 28)
  load_sound("HURT1.WAV", 29)
  load_sound("HURT2.WAV", 30)
  load_sound("ATTACK1.WAV", 31)
  load_sound("CAVEENT.WAV", 32)
  load_sound("LEVEL.WAV", 33)
  load_sound("SAVE.WAV", 34)
  load_sound("SPLASH.WAV", 35)
  load_sound("SWORD1.WAV", 36)
  load_sound("BHIT.WAV", 37)
  load_sound("SQUISH.WAV", 38)
  load_sound("STAIRS.WAV", 39)
  load_sound("STEPS.WAV", 40)
  load_sound("ARROW.WAV", 41)
  load_sound("FLYBY.WAV", 42)
  load_sound("SECRET.WAV", 43)
  load_sound("BOW1.WAV", 44)
  load_sound("KNOCK.WAV", 45)
  load_sound("DRAG1.WAV", 46)
  load_sound("DRAG2.WAV", 47)
  load_sound("AXE.WAV", 48)
  load_sound("BIRD1.WAV", 49)

  load_sound("mystery.wav", 53)
  load_sound("monk.wav", 54)
  load_sound("ezdrummer.ogg", 55)
  load_sound("wololo.wav", 56)
  -- Seth's favourite sample CD
  load_sound("scoringtools.mp3", 57)
  load_sound("fountain.ogg", 58)

  dink.fill_screen(0)
  -- player.seq = 0
  player.base_walk = 70
  player.base_attack = 100
  player.pseq = 10
  player.pframe = 8
  player.que = 0
  player.noclip = false

  dink.say_xy("`%Starting testmod...",0,390)

  player.brain = brain.PLAYER
  dink.playmidi("octfalls.mid")
  dink.wait(1000)
  player.x = 320
  player.y = 200
  dink.load_screen(1)
  dink.draw_screen()
  dink.add_item("item-fst", 438, 1)
  global.cur_weapon = 1
  dink.arm_weapon()
  dink.draw_status()
  -- Had to put this wait because it was too fast otherwise and the engine would ignore
  dink.wait(100)
  dink.set_mode(2)
  global.update_status = 1
  dink.kill_this_task()

end
